# Source code for azure.applicationinsights.models.events_trace_info_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class EventsTraceInfo(Model):
        """The trace information.

        :param message: The trace message
        :type message: str
        :param severity_level: The trace severity level
        :type severity_level: int
        """

        _attribute_map = {
            'message': {'key': 'message', 'type': 'str'},
            'severity_level': {'key': 'severityLevel', 'type': 'int'},
        }

        def __init__(self, *, message: str=None, severity_level: int=None, **kwargs) -> None:
            super(EventsTraceInfo, self).__init__(**kwargs)
            self.message = message
            self.severity_level = severity_level